# vue-canvas-pdf
A simple Vue.js wrapper component for PDF.js.

# Install
npm install --save vue-pdf-component

# API
## Props
### pdf-src
Type: <b>[ String ]</b>
### scale 
Type: <b>Number</b>
### is-render-text:
Type: <b>Boolean</b>
### is-show-single-page
Type: <b>Boolean</b>
### current-page
Type: <b>Number</b>

## Emits
### @loaded
Emits: <b>void</b>

# Example
```javascript
<template>
  <div>
    <vue-pdfjs-wrapper
      :pdf-src="current"
      :scale="getScale"
      :is-render-text="isRenderText"
      @loaded="onDocumentLoaded" 
    />
  </div>
</template>

<script>
  import VuePdfjsWrapper from 'VuePdfjsWrapper'

  const blobToBase64 = (blob) => {
    return new Promise((resolve) => {
      const reader = new FileReader()
      reader.readAsDataURL(blob)
      reader.onloadend = () => {
        const base64data = reader.result
        resolve(base64data)
      }
    })
  }

  export default {
    components: {
      VuePdfjsWrapper
    },
    data() {
      return {
        current: 'http://url/to/file.pdf',
        scale: 1.5,
        isRenderText: true
      }
    },
    methods: {
      onDocumentLoaded () {
        // Do stuff after document loaded
      }
    }
  }
</script>
```

